



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Vue学习笔记三：v-bind，v-on的使用</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Vue学习笔记三：v-bind，v-on的使用</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-21 05:19:07 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p><div>
<div>目录</div>
<ul><li><a href="#v-bind：绑定属性值，内容相当于js，缩写" rel="external nofollow noreferrer">v-bind：绑定属性值，内容相当于js，缩写:</a></li>
<li><a href="#v-on绑定方法，缩写" rel="external nofollow noreferrer">v-on:绑定方法，缩写@</a></li>
<li><a href="#总结" rel="external nofollow noreferrer">总结</a></li></ul>
</div>
<h2>v-bind：绑定属性值，内容相当于js，缩写:</h2>
<p>我添加了一个input标签，如下</p>
<pre class="prettyprint linenums"><code>&lt;input type=&quot;button&quot; value=&quot;按钮&quot; title=&quot;title&quot;&gt;&lt;/input&gt;<br />
</code></pre>
<p>这样显示的title是固定的，我想使用Vue的data里面的值，就需要加v-bind指令</p>
<pre class="prettyprint linenums"><code>&lt;input type=&quot;button&quot; value=&quot;按钮&quot; v-bind:title=&quot;title + '---' +'相当于js'&quot;&gt;&lt;/input&gt;<br />
</code></pre>
<p>Vue的data加一个title</p>
<pre class="prettyprint linenums"><code> title:&quot;这是一个v-bind指令的提示&quot;<br />
</code></pre>
<p>可以很清楚的看到，v-bind指令使用了之后，内容相当于js，title就是变量名，拼接的话就用+，内容用''，看一下浏览器展示效果</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/793293/201904/793293-20190425192823904-287024191.png"></p>
<p>v-bind的缩写是：，可以写成如下</p>
<pre class="prettyprint linenums"><code>&lt;input type=&quot;button&quot; value=&quot;按钮&quot; :title=&quot;title + '---' +'相当于js'&quot;&gt;&lt;/input&gt;<br />
</code></pre>
<h2>v-on:绑定方法，缩写@</h2>
<p>我在Vue的笔记一中说过，Vue是不操作DOM的，这个v-on指令可以很好的解释这个</p>
<p>比如，上面的input的button按钮，我想写个点击事件，如果是原生js或者jquery，我们会这样写</p>
<pre class="prettyprint linenums"><code> &lt;input id=&quot;btn&quot; type=&quot;button&quot; value=&quot;按钮1&quot; v-bind:title=&quot;title + '---' +'相当于js'&quot;&gt;&lt;/input&gt;<br />
</code></pre>
<p>v-on的缩写是@，可以写成如下</p>
<pre class="prettyprint linenums"><code> &lt;input id=&quot;btn&quot; type=&quot;button&quot; value=&quot;按钮1&quot; @title=&quot;title + '---' +'相当于js'&quot;&gt;&lt;/input&gt;<br />
</code></pre>
<p>js会这样写</p>
<pre class="prettyprint linenums"><code>  document.getElementById('btn').onclick=function(){<br />
            alert('hello 许嵩');<br />
        }<br />
</code></pre>
<p>这样不好，Vue就是不让我们操作DOM的，就是让我们专注于业务的，所以看看v-on的写法吧，下面是完整的HTML</p>
<pre class="prettyprint linenums"><code>&lt;!DOCTYPE html&gt;<br />
&lt;html lang=&quot;en&quot;&gt;<br />
&lt;head&gt;<br />
    &lt;meta charset=&quot;UTF-8&quot;&gt;<br />
    &lt;meta name=&quot;viewport&quot; content=&quot;width=device-width, initial-scale=1.0&quot;&gt;<br />
    &lt;title&gt;Document&lt;/title&gt;

    &lt;style&gt;<br />
        [v-cloak]{<br />
            display: none<br />
        }<br />
    &lt;/style&gt;

&lt;/head&gt;<br />
&lt;body&gt;

    &lt;!-- 这个div就是MVVM中的V，View --&gt;<br />
    &lt;div id=&quot;app&quot;&gt;

        &lt;!-- v-cloak方式 --&gt;<br />
        &lt;p v-cloak&gt;哈哈 {{ msg }} 许嵩来了&lt;/p&gt;

        &lt;!-- v-text方式 --&gt;<br />
        &lt;p v-text=&quot;msg&quot;&gt;许嵩说菜糊了不来了&lt;/p&gt;

        &lt;!-- v-html方式 --&gt;<br />
        &lt;p v-html=&quot;msg2&quot;&gt;&lt;/p&gt;

        &lt;!-- v-bind方式 --&gt;<br />
        &lt;input type=&quot;button&quot; value=&quot;按钮&quot; v-bind:title=&quot;title + '---' +'相当于js'&quot;&gt;&lt;/input&gt;

        &lt;!-- 普通的js方式 --&gt;<br />
        &lt;input id=&quot;btn&quot; type=&quot;button&quot; value=&quot;按钮1&quot; v-bind:title=&quot;title + '---' +'相当于js'&quot;&gt;&lt;/input&gt;

        &lt;!-- v-on方式 --&gt;<br />
        &lt;input type=&quot;button&quot; value=&quot;按钮2&quot; v-bind:title=&quot;title + '---' +'相当于js'&quot; v-on:click=&quot;show&quot;&gt;&lt;/input&gt;

    &lt;/div&gt;

    &lt;script type=&quot;text/javascript&quot; src=&quot;../lib/vue-2.6.10.js&quot;&gt;&lt;/script&gt;

    &lt;script&gt;<br />
        // 这个vm就是MVVM中的VM，ViewModel<br />
        var vm=new Vue({<br />
         el: '#app',<br />
        //  这个data就是MVVM中的M，Model<br />
         data: {<br />
            msg: '许嵩',<br />
            msg2:&quot;&lt;h1&gt;大家好，我是Vae&lt;/h1&gt;&quot;,<br />
            title:&quot;这是一个v-bind指令的提示&quot;<br />
         },<br />
         methods: {<br />
            show:function(){<br />
                alert('hello 许嵩')<br />
            }<br />
         }  

        })

        document.getElementById('btn').onclick=function(){<br />
            alert('hello 许嵩');<br />
        }<br />
    &lt;/script&gt;

&lt;/body&gt;<br />
&lt;/html&gt;<br />
</code></pre>
<p>可以看到v-on方式是v-on:click=&quot;show&quot;，这个show就是个方法名，所以Vue里写了个method方法，里面有一个show方法。</p>
<h2>总结</h2>
<p>又新学了两个指令，v-bind绑定属性，v-on绑定方法</p>
<p>防盗链接：本博客由<a href="https://www.cnblogs.com/yunquan/" rel="external nofollow noreferrer">蜀云泉</a>发表</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/1q2w3p3q.html">C Primer Plus 学习体会</a>
		</li>
						<li><a href="https://www.batexi.com/a/49gmx5e9.html">基于centos的lnmp搭建</a>
		</li>
						<li><a href="https://www.batexi.com/a/4qn2d6gq.html">idea使用心得&lpar;2&rpar;-安装设置与创建web项目</a>
		</li>
						<li><a href="https://www.batexi.com/a/wq1nrr59.html">Java通过JNI调用C</a>
		</li>
						<li><a href="https://www.batexi.com/a/49gy2nl9.html">10-JS数组</a>
		</li>
						<li><a href="https://www.batexi.com/a/0qw2e1lq.html">【汇总】涉及iOS&amp;amp&semi;iPhone开发相关文章汇总</a>
		</li>
						<li><a href="https://www.batexi.com/a/jqdmyw0q.html">Android  建立文件夹、生成文件并写入文本文件内容</a>
		</li>
						<li><a href="https://www.batexi.com/a/qn1mpzx8.html">linux下的文件系统</a>
		</li>
						<li><a href="https://www.batexi.com/a/93x7kvn9.html">Javascript&sol;Jquery&mdash;&mdash;简单定时器的多种实现方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/90v4y1o8.html">Oracle学习第二天---Profile的使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/8k1e7nj9.html">iOS 开发之EXC&lowbar;BAD&lowbar;ACCESS异常分析</a>
		</li>
						<li><a href="https://www.batexi.com/a/96oe3j39.html">iOS 操作系统架构</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdemm0v9.html">Mac Please try running this command again as root&sol;Administrator&period;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwjjv4z8.html">Sql Server函数全解&amp;lt&semi;五&amp;gt&semi;之系统函数</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4zronj9.html">Python &mdash;&mdash;报错集锦</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdw0vxx9.html">FTP软件FileZilla 3&period;38&period;1下载</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxdwp509.html">关于Python课程的思考和意见</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv21kpz9.html">小A的位运算-（前缀和&plus;位运算）</a>
		</li>
						<li><a href="https://www.batexi.com/a/95g0ew0q.html">spring boot利用controller来测试写的类</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gjg1249.html">Jquery EasyUI Combotree和 EasyUI tree展开所有父节点和获取完整路径</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/8me0d2pq.html">mysql 基础sql语句</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv1ld6jq.html">mysql export mysqldump version mismatch upgrade or downgrade your local MySQL client programs</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4z0nk59.html">前端部署ant&plus;yuicompressor文件压缩&plus;获取版本&plus;SSH公布（部分代码）</a>
			</li>
						<li><a href="https://www.batexi.com/a/9rgx0748.html">第二课android中activity启动模式</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdp2orvq.html">是时候选择一款富文本编辑器了（wangEditor）</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxkvegj8.html">转&colon;&sol;&sol;MySQL客户端工具的选择</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pdrx549.html">win7系统IE浏览器主页被搜狗篡改问题的解决方法</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7zrgok9.html">Node&period;js如何执行cmd</a>
			</li>
						<li><a href="https://www.batexi.com/a/qlj4kz19.html">springMVC 实现redis分布式锁</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv1lkvjq.html">使用axios 的post请求下载文件，</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
